Dobja a snap támogatást a Linux Mint csapata

Egy érdekes hír jelent meg a linux mint blogján, egyszerűen dobják a snap csomagok támogatását és szépen el is magyarázzák, hogy miért.

A lényeg, hogy maga a snap egy kompakt csomag, mint a Flatpak vagy az AppImage, lehetővé teszi, hogy egszerűen használhassunk újabb alkalmazásokat a régebbi rendszereinken úgy, hogy nem ütközik felhasználási problémákba a különböző teljesíthetetlen függőségek miatt.

Nyilván ennél kicsit összetettebb, de most a kezdők kedvéért fogalmazzuk meg ilyen konyhanyelven.

A lényeg, hogy innentől a fejlesztőknek nem kell foglalkoznia disztribúciókkal és speciális beállításokkal, nagyjából mondhatjuk hogy a különböző linux rendszereken ugyanúgy el fog indulni mondjuk a Spotify snap csomagja, amennyiben van hozzá snapd támogatás a rendszeren.

No, eddig a dolog szép és jó, de ahogy azt nemrégiben lehetett tapasztalni, az Ubuntu alapértelmezett csomagja lett a snap és a csomagkezelő hivatalos neve is snap store, ami már sokkal inkább hajaz az android áruházára és egyfajta kereskedelmi potenciál is felsejlik a háttérben, amiben egyébként semmi kivetnivalót nem látok.

Miért ne keressen valaki egy kis pénzt is a munkájával.

A probléma egyik gyökere, hogy a snap nem illeszkedik a jól bevált, hagyományos csomagkezelők világába, ahol kedvünkre tudunk módosítani, javítani, frissíteni, törölni és kiegészíteni. Készíthetünk saját tükröket, repókat, saját csomagokat, de akár komplett repókat is átmásolhatunk saját magunknak és azt használhatjuk a céljainkra.

A helyzet most éppen úgy áll, hogy jelenleg egy nagy ubuntus snap áruház felé haladunk és minden más a háttérbe szorul.

Lesz majd egy nagy áruház, ahonnan mindenki tud majd telepíteni és kész.
Nem látunk bele a csomagokba előre és jóval kevesebb hozzáférése lesz az embereknek, ha lesz egyáltalán.
Gyakorlatilag megszűnik a csomagkészítéssel kapcsolatos közösségi munka.

Ha valaki úgy gondolja, hogy legfeljebb majd nem teszi fel a snap támogatást, akkor most jön az érdekesség része, ami szerintem a mentás csapatnál ténylegesen kiverte a biztosítékot, ugyanis a canonical módosítja az APT működését.

A chromium repó csomagot egy üres csomaggal kívánja lecserélni, ami a chromium snap csomagot fogja valójában feltelepíteni, amihez viszont ugye szükséges telepíteni a snap támogatást a rendszerben.

Ettől kezdve mindenkinek kell, tehát megkerülhetetlen lesz, kvázi kötelező és ezt az Ubuntu 18.04 LTS kiadásig visszamenőleg bevezetik.

Ez a fogalom érdekes módon egyre többször kerül elő abban a szabad szoftveres környezetben, ahol ez eddig nem volt jellemző.

Nekem a systemd volt az egyik ilyen bosszantó dolog, amire azt mondták többen is, hogy muszáj, így kénytelen voltam törölni a Sparky linuxot és váltani másik rendszerre.

A Linux Mint csapata tovább egyeztet az ubuntu és a snap csapatával a dologról, egyelőre kíváncsian várja mindenkinek a véleményét a témában és szerintem egyébként teljesen érthető módon, egyelőre nem kér ebből a változásból.

Az említett bejegyzés:
https://blog.linuxmint.com/?p=3906

Az eredeti bejegyzés bővebben és persze több konkrétummal a Linux Mint csapatának weboldaán olvasható angol nyelven:
https://blog.linuxmint.com/?p=3766


megosztom

Translate »
shares

Weboldalunk cookie-kat használ annak érdekében, hogy megkülönböztesse Önt weboldalunk többi felhasználójától. Ez segítséget nyújt számunkra, hogy weboldalunk böngészése során jobb élményt nyújthassunk Önnek, valamint az oldalunk fejlesztéséhez is hasznosak. további információ

Ha hozzájárult a cookie-k használatához, a böngésző cookie-kat tárol az Ön számítógépén vagy egyéb eszközén, hogy rendszerünk felismerje beállításait. A hozzájárulás érvényessége időnként lejár. Azonban, hogyha szeretné visszavonni hozzájárulását, a böngészője cookie beállításai között bármikor megteheti.

Bezár